> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazoncreaterdsreadreplicaparameters-object.md).

# AmazonCreateRdsReadReplicaParameters Object

## Description

Parameters for the Amazon Create RDS Read Replica action.

## Properties

### availabilityZone

Availability zone for the new replica. Omit to indicate "no preference".

Type: `string`

Required: No

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### dbInstanceId

ID of the RDS instance for which the replica will be created.

Type: `string`

Required: Yes

### deleteTimeInSeconds

Number of seconds after which the new replica will be deleted. If omitted, the new replica will not be deleted.

Type: `integer`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### replicaId

ID of the new replica.

Type: `string`

Required: Yes

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "replicaId": "new-replica-$(DATE)",
    "dbInstanceId": "myInstance",

    "deleteTimeInSeconds": 600
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazoncreaterdsreadreplicaparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
